## xutils-dev 7.7+6ubuntu1

=== debian/changelog ===
xutils-dev (1:7.7+6ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - 99_ppc64el.diff: Add support for ppc64el as little-endian ppc64.
    - Add riscv64 support (patch from Debian).
  * Dropped Ubuntu delta for ar command; fixed in 1:7.7+6.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 30 Dec 2021 16:08:21 -0500

=== debian/control ===
Source: xutils-dev
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 dpkg-dev (>= 1.16.1),
 debhelper (>= 9),
 autotools-dev,
 pkg-config,
 quilt,
 x11proto-dev,
 autoconf,
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xutils-dev.git

Package: xutils-dev
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 cpp,
Description: X Window System utility programs for development
 xutils-dev provides a set of utility programs shipped with the X Window System
 that do not require the X libraries; many of these programs are useful
 even on a system that does not have any X clients or X servers installed.
 .
 The programs in this package include:
  - imake, a C preprocessor interface to the make utility;
  - lndir, a tool that creates a shadow directory of symbolic links to
    another directory tree;
  - makedepend, a tool to create dependencies in makefiles;
  - makeg, a tool for making debuggable executables.
 .
 This package also contains xorg-macros.m4, a set of macros used in configure
 scripts of X.Org packages.

## xutils-dev 7.7+6.1ubuntu1

=== debian/changelog ===
xutils-dev (1:7.7+6.1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 99_ppc64el.diff: Add support for ppc64el as little-endian ppc64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 08:13:39 +0200

xutils-dev (1:7.7+6.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Héctor Orón Martínez ]
  * Non-maintainer upload.
  * Add 08_support_riscv64.patch to support riscv64. Thanks to
    Manuel A. Fernandez Montecelo (Closes: #897655, #1026002, #1035848)
    and Bo YU (Closes: #1043221)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 09 Aug 2023 13:24:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
- dpkg-dev (>= 1.16.1),
  debhelper (>= 9),
  autotools-dev,
  pkg-config,

## xutils-dev 7.7+6.2

=== debian/changelog ===
xutils-dev (1:7.7+6.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adam Conrad ]
  * 09_ppc64el.diff: Add support for ppc64el as little-endian ppc64.
    (Closes: #834142)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 08:16:36 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xutils package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = xutils-dev

# This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
# subdirectory explicitly so that the build system knows what to build
SUBDIRS= gccmakedep imake lndir makedepend util-macros xorg-cf-files
SUBDIRS_CHECK= makedepend

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --with quilt,autotools-dev --parallel

override_dh_auto_configure: $(foreach dir, $(SUBDIRS), configure-$(dir)-stamp)

configure-%-stamp:
	dh_auto_configure -D$* -B$*-build -- \
		--disable-silent-rules \
		--disable-ccmakedep \
		--libdir=\$${exec_prefix}/lib \
		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)

override_dh_auto_build: $(foreach dir, $(SUBDIRS), build-$(dir)-stamp)

build-%-stamp:
	dh_auto_build -D$* -B$*-build

override_dh_auto_test: $(addprefix test-, $(SUBDIRS))

.PHONY: test-%
test-%:
	dh_auto_test -D$* -B$*-build

override_dh_auto_install:
	set -e; for FILE in $(SUBDIRS); do \
		$(MAKE) -C $${FILE}-build DESTDIR=$(CURDIR)/debian/tmp install; \
	done

override_dh_installdocs:
	dh_installdocs debian/versions

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean: $(addprefix clean-, $(SUBDIRS))

.PHONY: clean-%
clean-%:
	dh_auto_clean -D$* -B$*-build

.PHONY: get-tarballs
get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))

.PHONY: get-tarball-%
get-tarball-%:
	uscan --no-conf --download --no-symlink --destdir . --package $* --upstream-version $(shell awk -F = '/^PACKAGE_VERSION=/ { print $$2 }' < $*/configure || echo 0) --watchfile debian/watch.$* || test $$? = 1

# vim:set ai noet sw=8 ts=8 tw=80:

## xutils-dev 7.7+7

=== xorg-cf-files/meson_options.txt ===
#
# Copyright (c) 2023, Oracle and/or its affiliates.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

option('with-fontrootdir', type : 'string',
       description : 'Path to root directory for font files')
option('with-encodingsdir', type : 'string',
       description : 'Path to encodings files')

option('with-config-dir', type : 'string',
       description : 'Path to config dir')

=== debian/changelog ===
xutils-dev (1:7.7+7) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * Team upload.
  * debian/control: update Vcs fields.
  * xorg-cf-files: Updated to 1.0.8. (Closes: #1050844)
  * utils-macros: Updated to 1.20.0.
  * makedepend: Updated to 1.0.8.
  * imake: Updated to 1.0.9.
  * lndir: Updated to 1.0.4.
  * debian/patches: refresh
  * Update dh compat level to 10, no changes
  * debian/salsa-ci.yml: enable gitlab CI

  [ Emilio Pozuelo Monfort ]
  * Fix AR command on GNU and FreeBSD. Thanks Samuel Thibault.
    (Closes: #1077077)
  * imake: updated to 1.0.10. (Closes: #1075689)
  * Switch to pkgconf.
  * Drop --parallel flag to dh, it is enabled by default.
  * Drop autotools-dev usage, it has been replaced by debhelper's
    dh_update_autotools_config.

  [ Samuel Thibault ]
  * debian/patches/04_xutils-dev-debian.diff: Add hurd-amd64 definitions.
    (Closes: #1077076)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 29 Aug 2024 17:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
- debhelper (>= 9),
- autotools-dev,
- pkg-config,
+ debhelper (>= 10),
+ pkgconf,
  quilt,
  x11proto-dev,
  autoconf,
 Standards-Version: 3.9.6
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xutils-dev.git
+Vcs-Git: https://salsa.debian.org/xorg-team/app/xutils-dev.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/app/xutils-dev
 
 Package: xutils-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 endif
 
 %:
-	dh $@ --with quilt,autotools-dev --parallel
+	dh $@ --with quilt
 
 override_dh_auto_configure: $(foreach dir, $(SUBDIRS), configure-$(dir)-stamp)

## xutils-dev 7.7+7build1

=== debian/changelog ===
xutils-dev (1:7.7+7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:13:52 +0100

## xutils-dev 7.7.2

=== debian/changelog ===
xutils-dev (1:7.7.2-deepin2) unstable; urgency=medium

  * Add loong64 support

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 12 Mar 2023 23:25:03 +0800

xutils-dev (1:7.7.2-deepin1) unstable; urgency=medium

  * Add support for RISC-V 64

 -- Clansty <i@gao4.pw>  Mon, 09 Jan 2023 17:25:04 +0800

xutils-dev (1:7.7.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Mon, 25 Jul 2022 13:56:47 +0800

xutils-dev (1:7.7.1-1+dde) stable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Fri, 06 May 2022 11:13:19 +0800
